Bug 1957034 - libreoffice crashes with embedded video
Summary: libreoffice crashes with embedded video
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 21:48 UTC by zingale
Modified: 2021-05-07 01:03 UTC (History)
4 users (show)

Fixed In Version: libreoffice-7.1.2.2-4.fc34 libreoffice-7.1.3.2-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-06 22:46:31 UTC
Type: Bug


Attachments (Terms of Use)

Description zingale 2021-05-04 21:48:50 UTC
Description of problem:

Libreoffice crashes if I click on a slide with an embedded video

Version-Release number of selected component (if applicable):


How reproducible:

every time


Steps to Reproduce:
1. open an impress presentation with an embedded video
2. click on the video
3. libreoffice crashes

Actual results:

/usr/include/c++/11/bits/stl_algo.h:3658: constexpr const _Tp& std::clamp(const _Tp&, const _Tp&, const _Tp&) [with _Tp = int]: Assertion '!(__hi < __lo)' failed.


Fatal exception: Signal 6
Stack:
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3b403)[0x7f16328cf403]
/usr/lib64/libreoffice/program/libuno_sal.so.3(+0x3b5f4)[0x7f16328cf5f4]
/lib64/libc.so.6(+0x3d310)[0x7f1632603310]
/lib64/libc.so.6(gsignal+0x142)[0x7f1632603292]
/lib64/libc.so.6(abort+0x116)[0x7f16325ec8a4]
/usr/lib64/libreoffice/program/libavmedialo.so(+0x27b58)[0x7f162beadb58]
/usr/lib64/libreoffice/program/libavmedialo.so(_ZN7avmedia16MediaControlBase18UpdateVolumeSliderERKNS_9MediaItemE+0x5e)[0x7f162beaf4fe]
/usr/lib64/libreoffice/program/libsvxlo.so(+0x29b2cf)[0x7f1630c172cf]
/usr/lib64/libreoffice/program/libsfxlo.so(+0x42d73c)[0x7f16312fe73c]
/usr/lib64/libreoffice/program/libsfxlo.so(+0x20bb8a)[0x7f16310dcb8a]
/usr/lib64/libreoffice/program/libsfxlo.so(+0x20d5a0)[0x7f16310de5a0]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN9Scheduler21ProcessTaskSchedulingEv+0x2da)[0x7f162f404bba]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0xef764)[0x7f161bf2a764]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x19f)[0x7f162b84b4cf]
/lib64/libglib-2.0.so.0(+0xa94e8)[0x7f162b89f4e8]
/lib64/libglib-2.0.so.0(g_main_context_iteration+0x33)[0x7f162b848c03]
/usr/lib64/libreoffice/program/libvclplug_gtk3lo.so(+0xef454)[0x7f161bf2a454]
/usr/lib64/libreoffice/program/libvcllo.so(+0x6bb7d2)[0x7f162f40e7d2]
/usr/lib64/libreoffice/program/libvcllo.so(_ZN11Application7ExecuteEv+0x45)[0x7f162f412915]
/usr/lib64/libreoffice/program/libsofficeapp.so(+0x3d807)[0x7f16327f7807]
/usr/lib64/libreoffice/program/libvcllo.so(_Z10ImplSVMainv+0x3aa)[0x7f162f41e0da]
/usr/lib64/libreoffice/program/libsofficeapp.so(soffice_main+0x19c)[0x7f1632812b7c]
/usr/lib64/libreoffice/program/soffice.bin(+0x10c0)[0x55829a29f0c0]
/lib64/libc.so.6(__libc_start_main+0xd5)[0x7f16325edb75]
/usr/lib64/libreoffice/program/soffice.bin(+0x10fe)[0x55829a29f0fe]


Expected results:

should not crash

Additional info:

Comment 1 zingale 2021-05-04 21:49:19 UTC
note: the same presentations worked fine in Fedora 33's version of Libreoffice

Comment 2 Fedora Update System 2021-05-05 16:29:51 UTC
FEDORA-2021-ad00ea0b0a has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad00ea0b0a

Comment 3 Fedora Update System 2021-05-06 01:58:28 UTC
FEDORA-2021-ad00ea0b0a has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ad00ea0b0a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad00ea0b0a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 zingale 2021-05-06 13:10:43 UTC
FEDORA-2021-ad00ea0b0a fixes the problem I reported here.  Movies now work fine.

Awesome work.  Thanks Caolan!

Comment 5 Fedora Update System 2021-05-06 22:46:31 UTC
FEDORA-2021-1205a22060 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-05-07 01:03:09 UTC
FEDORA-2021-ad00ea0b0a has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.